> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get subscription summary



## OpenAPI

````yaml https://api.crosmos.dev/openapi.json get /api/v1/billing/subscription
openapi: 3.1.0
info:
  title: Crosmos API
  version: 0.1.0
servers:
  - url: /
security: []
paths:
  /api/v1/billing/subscription:
    get:
      tags:
        - billing
      summary: Get subscription summary
      responses:
        '200':
          description: Subscription summary
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    SubscriptionResponse:
      type: object
      properties:
        plan:
          type: string
          enum:
            - free
            - developer
            - pro
            - enterprise
        subscription_status:
          type: string
          enum:
            - none
            - active
            - past_due
            - canceled
            - revoked
        current_period_end:
          type: string
          nullable: true
          format: date-time
        plan_pending:
          type: string
          nullable: true
      required:
        - plan
        - subscription_status
        - current_period_end
        - plan_pending
    ErrorResponse:
      type: object
      properties:
        detail:
          type: string
        code:
          type: string
        request_id:
          type: string
        fields:
          nullable: true
      required:
        - detail
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT access token or API key (csk_...)

````